import fs from 'fs';

export function createDefaultName(name) {
  const snakeName = toSnakeCase(name);

  if (!snakeName.includes('-')) {
    return `${snakeName}-component`;
  }

  return snakeName;
}

export function toSnakeCase(name) {
  const capitalized = name.charAt(0).toUpperCase() + name.slice(1);
  const snaked = capitalized.replace(/([A-Z])/g, '-$1').slice(1);
  return snaked.toLowerCase();
}

export async function changeNameInfile(file, changeWhere, changeTo) {
  // console.log(file);
  // console.log(changeWhere);
  // console.log(changeTo);
  // console.log('===============');
  const changedFile = await new Promise((resolve, reject) => {
    fs.readFile(file, 'utf-8', (err, data) => {
      if (err) {
        reject('Could not read file');
      }

      // console.log(data);
      const changed = data.replace(changeWhere, changeTo);
      // console.log(changed);
      resolve(changed);
    });
  });

  await new Promise((resolve, reject) => {
    fs.writeFile(file, changedFile, 'utf-8', (err) => {
      if (err) {
        reject('Could not write file');
      }

      resolve();
    });
  });
}

export function renameFile(newPath, oldPath) {
  return fs.renameSync(oldPath, newPath);
}
